View Issue Details

IDProjectCategoryView StatusLast Update
07709Development Survey Designpublic2015-08-21 15:51
ReporterDenisChenuAssigned Tosammousa 
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.05 
Target VersionFixed in Version2.05 
Summary07709: Javascript broken : select for question type
Description

Have this in js log:
Erreur : TypeError: $(...).msDropDown is not a function
Fichier Source : http://..../scripts/admin/admin_core.js
Ligne : 187

Steps To Reproduce

Activate "full question type" selector
Try to edit question type: no IMG on hover

TagsNo tags attached.

Activities

sammousa

sammousa

2013-04-04 15:43

reporter   ~24908

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12191

DenisChenu

DenisChenu

2013-04-04 17:16

developer   ~24910

Last edited: 2013-04-04 17:27

View 2 revisions

Hello,

bootstrap.css included in public survey : made a lot of work for included template (and surely all user template).

It's intended ?

Admin template need more work too (replace all ui by bootstrap but it can be a choice).

Related Changesets

LimeSurvey: 2.05 9c5e6318

2013-04-04 13:42:24

sammousa

Details Diff
Fixed issue 07709: Javascript broken : select for question type Affected Issues
07709
mod - application/config/internal.php Diff File
mod - application/config/third_party.php Diff File
mod - application/extensions/Menu/MenuWidget.php Diff File
mod - application/views/admin/survey/Question/editQuestion_view.php Diff File
mod - scripts/admin/admin_core.js Diff File
mod - styles/adminstyle.css Diff File
rm - third_party/jquery-msdropdown/GPL-LICENSE.txt Diff File
rm - third_party/jquery-msdropdown/MIT-LICENSE.txt Diff File
rm - third_party/jquery-msdropdown/Readme.md Diff File
rm - third_party/jquery-msdropdown/Readme.txt Diff File
rm - third_party/jquery-msdropdown/css/msdropdown/dd.css Diff File
rm - third_party/jquery-msdropdown/css/msdropdown/flags.css Diff File
rm - third_party/jquery-msdropdown/css/msdropdown/skin2.css Diff File
rm - third_party/jquery-msdropdown/css/msdropdown/sprite.css Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/1273404841_tick_16.png Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/Amex-56.png Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/Cash-56.png Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/Discover-56.png Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/Mastercard-56.png Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/Paypal-56.png Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/Thumbs.db Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/Visa-56.png Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/blank.gif Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/browser-chrome.png Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/browser-firefox.png Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/browser-msie.png Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/browser-opera.png Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/browser-safari.png Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/button-large.gif Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/demoaction.jpg Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/enabled.gif Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/flagssprite_small.png Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/giftlelo_dot_com.jpg Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/icon-search.gif Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/icon_calendar.gif Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/icon_cart.gif Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/icon_cd.gif Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/icon_email.gif Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/icon_faq.gif Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/icon_games.gif Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/icon_lockopen.gif Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/icon_music.gif Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/icon_phone.gif Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/icon_sales.gif Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/icon_secure.gif Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/icon_video.gif Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/jquery-msdropdown.gif Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/msDropDown.gif Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/preview.gif Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/sprite.gif Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/sprite.jpg Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/icons/tick.gif Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/skin1/dd_arrow.gif Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/skin1/title-bg.gif Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/skin2/dd_arrow.gif Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/skin2/icon-ok.gif Diff File
rm - third_party/jquery-msdropdown/images/msdropdown/skin2/title-bg.gif Diff File
rm - third_party/jquery-msdropdown/index.html Diff File
rm - third_party/jquery-msdropdown/js/jquery/jquery-1.3.2.min.js Diff File
rm - third_party/jquery-msdropdown/js/jquery/jquery-1.6.1.min.js Diff File
rm - third_party/jquery-msdropdown/js/jquery/jquery-1.7.1.min.js Diff File
rm - third_party/jquery-msdropdown/js/jquery/jquery-1.8.2.min.js Diff File
rm - third_party/jquery-msdropdown/js/jquery/jquery-1.9.0.min.js Diff File
rm - third_party/jquery-msdropdown/js/jquery/tester.js Diff File
rm - third_party/jquery-msdropdown/js/msdropdown/jquery.dd.js Diff File
rm - third_party/jquery-msdropdown/js/msdropdown/jquery.dd.min.js Diff File

Issue History

Date Modified Username Field Change
2013-03-27 11:29 DenisChenu New Issue
2013-04-03 15:33 DenisChenu Assigned To => sammousa
2013-04-03 15:33 DenisChenu Status new => assigned
2013-04-04 15:43 sammousa Changeset attached => LimeSurvey 2.05 9c5e6318
2013-04-04 15:43 sammousa Note Added: 24908
2013-04-04 15:43 sammousa Resolution open => fixed
2013-04-04 17:16 DenisChenu Note Added: 24910
2013-04-04 17:27 DenisChenu Note Edited: 24910 View Revisions
2013-04-25 00:34 sammousa Status assigned => resolved
2013-04-25 00:34 sammousa Fixed in Version => 2.05
2015-08-21 15:51 c_schmitz Status resolved => closed